@echo off

:: Admin check
net session >nul 2>&1
if %errorLevel% neq 0 (
    echo Requesting Administrator privileges...
    powershell -Command "Start-Process '%~f0' -Verb RunAs"
    exit
)

echo Installing Microsoft Store...

powershell -ExecutionPolicy Bypass -Command "wsreset -i"